Skip to content

Create/replace managed trunk

PUT
/v1/ns/{nsid}/resources/trunks/{trunk}
curl --request PUT \
--url https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resources/trunks/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "trunk": "example", "trunk_profile": "example", "primary_caller_id": "example", "allowed_caller_ids": [ "example" ], "ips": [ "example" ], "uris": [ "example" ], "max_concurrent": 1 }'
nsid
required
string format: uuid

Namespace UUID

trunk
required
string
Media typeapplication/json
object
trunk
string
trunk_profile
string
primary_caller_id
string
allowed_caller_ids
Array<string>
ips
Array<string>
uris
Array<string>
max_concurrent
integer
Examplegenerated
{
"trunk": "example",
"trunk_profile": "example",
"primary_caller_id": "example",
"allowed_caller_ids": [
"example"
],
"ips": [
"example"
],
"uris": [
"example"
],
"max_concurrent": 1
}

OK

Media typeapplication/json
object
success
required
boolean
Example
{
"success": true
}

Error response

Media typeapplication/problem+json

RFC 7807 Problem Details

object
type

Problem type slug URI

string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example"
}